import { GameContext } from './controller/gamecontext';

import { Renderer } from './view/renderer/renderer';

window.onload = async () => {
	const canvas = document.getElementById('rpgedit') as HTMLCanvasElement;
	if (!canvas)
		return;

	const renderer = new Renderer(canvas);

	GameContext.load(renderer);
};
