export interface PolygonCollision {
	readonly type: 'polygon';
	readonly vertices: Array<[number, number]>;
}

export interface CircleCollision {
	readonly type: 'circle';
	readonly center: [number, number];
	readonly radius: number;
}

export type Collision = PolygonCollision | CircleCollision;
